Bug 169676 - module ppp_generic is broken
module ppp_generic is broken
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-30 18:37 EDT by Thomas Antony
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 00:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Antony 2005-09-30 18:37:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de-DE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
module ppp_generic is broken in kernel 2.6.13-1.1526.

[thomas@ws01 ~]$ sudo modprobe ppp_generic
FATAL: Error inserting ppp_generic (/lib/modules/2.6.13-1.1526_FC4/kernel/drivers/net/ppp_generic.ko): Unknown symbol in module, or unknown parameter (see dmesg)

[thomas@ws01 ~]$ dmesg
...
ppp_generic: Unknown symbol class_simple_device_add
ppp_generic: Unknown symbol class_simple_destroy
ppp_generic: Unknown symbol class_simple_device_remove
ppp_generic: Unknown symbol class_simple_create

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot kernel kernel-2.6.13-1.1526_FC4
2. modprobe ppp_generic

Additional info:
Comment 1 John Horne 2005-10-01 19:22:09 EDT
This also occurs under i686 (32-bit) hardware.

John.
Comment 2 John Horne 2005-10-01 19:41:22 EDT
As far as I can tell the change between the kernel-2.6.12-1.1456_FC4 and
kernel-2.6.13-1.1526_FC4 kernel releases causing the problem could well be this:

  commit cd987d38cc59053e0bab8150ffaca33b109067f3
  Author: gregkh@suse.de <gregkh@suse.de>
  Date:   Wed Mar 23 11:12:38 2005 -0800

      [PATCH] class: remove class_simple code, as no one in the tree is using it 
      anymore.

      Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

This was taken from the 2.6.13 kernel changelog.


John.
Comment 3 Dave Jones 2005-10-02 19:11:37 EDT
works fine here.

(19:13:25:root@firewall:~)# uname -a
Linux firewall.kernelslacker.org 2.6.13-1.1526_FC4 #1 Wed Sep 28 19:15:10 EDT
2005 i686 i686 i386 GNU/Linux
(19:13:45:root@firewall:~)# modprobe ppp_generic
(19:13:51:root@firewall:~)# dmesg | tail -n1
PPP generic driver version 2.4.2

A grep across the kernel source doesn't show any instance of those symbols.

Are you guys building your own ppp_generic module from source ?
Comment 4 Thomas Antony 2005-10-03 00:18:51 EDT
It is a bug in the kernel_ppp_mppe package
I have installed dkms-2.0.6-3.fc4 from Fedora Extras and
kernel_ppp_mppe-0.0.5-2dkms from pptpclient.sf.net.

http://sourceforge.net/tracker/index.php?func=detail&aid=1310332&group_id=44827&atid=441003

Note You need to log in before you can comment on or make changes to this bug.